package net.northking.cctp.platform.db.entity;

import io.swagger.annotations.ApiModelProperty;
import net.northking.cctp.common.db.entity.Entity;
import net.northking.cctp.common.saas.db.TenantPartition;

import javax.validation.constraints.Size;
import java.util.Date;

public class CpRuleConfig extends TenantPartition implements Entity
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    @Size(max = 32, message="主键-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 规则集合id<br>
     */
    @ApiModelProperty("规则集合id")
    @Size(max = 200, message="规则集合id-collectionId: 数据长度不能 > 200" )
    private String collectionId;
    /**
     * 规则编号<br>
     */
    @ApiModelProperty("规则编号")
    @Size(max = 32, message="规则编号-ruleNo: 数据长度不能 > 32" )
    private String ruleNo;
    /**
     * 规则值<br>
     */
    @ApiModelProperty("规则值")
    @Size(max = 50, message="规则值-ruleValue: 数据长度不能 > 50" )
    private String ruleValue;
    /**
     * 是否选中（1选中 0未选中）<br>
     */
    @ApiModelProperty("是否选中（1选中 0未选中）")
    private Boolean checked;
    /**
     * 创建人<br>
     */
    @ApiModelProperty("创建人")
    @Size(max = 32, message="创建人-createdBy: 数据长度不能 > 32" )
    private String createdBy;
    /**
     * 创建时间<br>
     */
    @ApiModelProperty("创建时间")
    private Date createdTime;
    /**
     * 修改人<br>
     */
    @ApiModelProperty("修改人")
    @Size(max = 32, message="修改人-updatedBy: 数据长度不能 > 32" )
    private String updatedBy;
    /**
     * 修改时间<br>
     */
    @ApiModelProperty("修改时间")
    private Date updatedTime;
    /**
     * 租户id<br>
     */
    @ApiModelProperty("租户id")
    @Size(max = 32, message="租户id-tenantId: 数据长度不能 > 32" )
    private String tenantId;

    /**
     * 主键<br>
     */
    public String getId()
    {
        return id;
    }

    /**
     * 主键<br>
     *
     * @param id 主键
     */
    public void setId(String id)
    {
        this.id = id;
    }
    /**
     * 规则集合id<br>
     */
    public String getCollectionId()
    {
        return collectionId;
    }

    /**
     * 规则集合id<br>
     *
     * @param collectionId 规则集合id
     */
    public void setCollectionId(String collectionId)
    {
        this.collectionId = collectionId;
    }
    /**
     * 规则编号<br>
     */
    public String getRuleNo()
    {
        return ruleNo;
    }

    /**
     * 规则编号<br>
     *
     * @param ruleNo 规则编号
     */
    public void setRuleNo(String ruleNo)
    {
        this.ruleNo = ruleNo;
    }
    /**
     * 规则值<br>
     */
    public String getRuleValue()
    {
        return ruleValue;
    }

    /**
     * 规则值<br>
     *
     * @param ruleValue 规则值
     */
    public void setRuleValue(String ruleValue)
    {
        this.ruleValue = ruleValue;
    }
    /**
     * 是否选中（1选中 0未选中）<br>
     */
    public Boolean getChecked()
    {
        return checked;
    }

    /**
     * 是否选中（1选中 0未选中）<br>
     *
     * @param checked 是否选中（1选中 0未选中）
     */
    public void setChecked(Boolean checked)
    {
        this.checked = checked;
    }
    /**
     * 创建人<br>
     */
    public String getCreatedBy()
    {
        return createdBy;
    }

    /**
     * 创建人<br>
     *
     * @param createdBy 创建人
     */
    public void setCreatedBy(String createdBy)
    {
        this.createdBy = createdBy;
    }
    /**
     * 创建时间<br>
     */
    public Date getCreatedTime()
    {
        if(createdTime != null)
        {
            return (Date)createdTime.clone();
        }
        return null;
    }

    /**
     * 创建时间<br>
     *
     * @param createdTime 创建时间
     */
    public void setCreatedTime(Date createdTime)
    {
        if(createdTime != null)
        {
            this.createdTime = (Date)createdTime.clone();
        }
    }
    /**
     * 修改人<br>
     */
    public String getUpdatedBy()
    {
        return updatedBy;
    }

    /**
     * 修改人<br>
     *
     * @param updatedBy 修改人
     */
    public void setUpdatedBy(String updatedBy)
    {
        this.updatedBy = updatedBy;
    }
    /**
     * 修改时间<br>
     */
    public Date getUpdatedTime()
    {
        if(updatedTime != null)
        {
            return (Date)updatedTime.clone();
        }
        return null;
    }

    /**
     * 修改时间<br>
     *
     * @param updatedTime 修改时间
     */
    public void setUpdatedTime(Date updatedTime)
    {
        if(updatedTime != null)
        {
            this.updatedTime = (Date)updatedTime.clone();
        }
    }
    /**
     * 租户id<br>
     */
    public String getTenantId()
    {
        return tenantId;
    }

    /**
     * 租户id<br>
     *
     * @param tenantId 租户id
     */
    public void setTenantId(String tenantId)
    {
        this.tenantId = tenantId;
    }

    public CpRuleConfig()
    {
    }

}